%global extdir          %{_datadir}/gnome-shell/extensions/Vitals@CoreCoding.com
%global gschemadir      %{_datadir}/glib-2.0/schemas

%global giturl          https://github.com/corecoding/Vitals
#%%global commit          524cc19baa8e2eea32171f20754e389290e44041
#%%global commit_short    %%(c=%%{commit}; echo ${c:0:7})
#%%global commit_date     20220903

Name:           gnome-shell-extension-vitals
%if 0%{?commit:1}
Version:        61.0.0^20230316g09666f2
%else
Version:        61.0.0
%endif
Release:        1%{?dist}
Summary:        A glimpse into your computer's temperature, voltage, fan speed, memory usage and CPU load.

License:        GPLv2
URL:            https://github.com/corecoding/Vitals
%if 0%{?commit:1}
Source0:        %{giturl}/archive/%{commit}.tar.gz
%else
Source0:        %{giturl}/releases/download/v%{version}/vitals.zip
%endif

BuildArch:      noarch
BuildRequires:  unzip

Requires:       gnome-shell-extension-common
Requires:       libgtop2
Requires:       lm_sensors
%if 0%{?fedora}
Requires:       libdbusmenu-gtk3
%endif

%description
Vitals is a GNOME Shell extension for displaying your computer's temperature,
voltage, fan speed, memory usage, processor load, system resources, network
speed and storage stats in your GNOME Shell's top menu bar. This is a one stop
shop to monitor all of your vital sensors. Vitals uses asynchronous polling to
provide a smooth user experience.

%prep
%if 0%{?commit:1}
%autosetup -n Vitals-%{commit} -p 1
%else
%autosetup -c -n Vitals-%{version} -p 1
%endif

%build
pwd
ls -tlah

%install
mkdir -p %{buildroot}%{extdir} %{buildroot}%{gschemadir} %{buildroot}%{_datadir}/locale %{buildroot}%{_sysconfdir}/dconf/db/local.d
cp -r ./* %{buildroot}%{extdir}
install -m 644 %{buildroot}%{extdir}/schemas/*gschema.xml %{buildroot}%{gschemadir}
cat <<EOF | tee %{buildroot}%{_sysconfdir}/dconf/db/local.d/00-vitals
[org/gnome/shell/extensions/vitals]
hot-sensors=['_processor_usage_', '_memory_usage_', '__network-rx_max__', '__network-tx_max__']
show-fan=false
show-storage=false
show-system=false
show-temperature=false
show-voltage=false
EOF
mv -f %{buildroot}%{extdir}/locale %{buildroot}%{_datadir}/
%{__rm} -fr %{buildroot}%{extdir}/{LICENSE*,locale,schemas}

%if 0%{?rhel} && 0%{?rhel} <= 7
%postun
if [ $1 -eq 0 ] ; then
  %{_bindir}/glib-compile-schemas %{gschemadir} &> /dev/null || :
  %{_bindir}/dconf update &> /dev/null || :
fi

%posttrans
%{_bindir}/glib-compile-schemas %{gschemadir} &> /dev/null || :
%{_bindir}/dconf update &> /dev/null || :
%else
%postun
if [ $1 -eq 0 ] ; then
  %{_bindir}/dconf update &> /dev/null || :
fi

%posttrans
%{_bindir}/dconf update &> /dev/null || :
%endif

%files
%license LICENSE
%{_sysconfdir}/dconf
%{extdir}
%{gschemadir}/*gschema.xml
%{_datadir}/locale

%changelog
* Wed Apr 19 2023 Astrawan Wayan <astrawan@icloud.com> - 61.0.0-1
- Bump version 61
* Sat Nov 12 2022 Astrawan Wayan <astrawan@icloud.com> - 57.0.0-1
- Initial import
